# Funding instructions

Provide customer balance funding instructions without creating a PaymentIntent.

You can show bank account details to your customer before they make their first payment through the Dashboard or API.

## Create or retrieve funding instructions 

#### Dashboard

### Create funding instructions

To create funding instructions for your customers:

1. Go to the [customer’s page](https://dashboard.stripe.com/customers).
2. Under **Payment methods**, click **+** > **Add a bank transfer account**.
3. Select the currency and country you want to create a bank transfer account for, then click **Add**. Stripe creates a cash balance with the appropriate currency for your customer.

### Retrieve funding instructions

1. Go to the [customer’s page](https://dashboard.stripe.com/customers).
2. Under **Payment methods**, select the cash balance with the relevant currency, then click **View balance details**.
3. Review the **Bank transfer funding instructions**.

#### API

Use the Customer Balance Funding Instructions API to retrieve a set of `financial_addresses` that can receive funds from the customer. Provide these bank account details to your customer so that they can initiate a bank transfer using any of the `supported_networks`.

> In *live mode* (Use this mode when you're ready to launch your app in production. Live mode processes real payments), Stripe supplies each customer with a unique set of bank transfer details. In contrast, Stripe offers invalid bank transfer details to all customers in [sandboxes](https://docs.stripe.com/sandboxes.md). Unlike live mode, these invalid details might not always be unique.

#### US

```curl
curl https://api.stripe.com/v1/customers/{{CUSTOMER_ID}}/funding_instructions \
  -u "<<YOUR_SECRET_KEY>>:" \
  -d funding_type=bank_transfer \
  -d "bank_transfer[type]=us_bank_transfer" \
  -d currency=usd
```

#### UK

```curl
curl https://api.stripe.com/v1/customers/{{CUSTOMER_ID}}/funding_instructions \
  -u "<<YOUR_SECRET_KEY>>:" \
  -d funding_type=bank_transfer \
  -d "bank_transfer[type]=gb_bank_transfer" \
  -d currency=gbp
```

#### EU

For funding instructions in the Single Euro Payments Area (SEPA) set `bank_transfer[eu_bank_transfer][country]` to one of  to display the localized IBAN to your customer.

Stripe’s [bank transfer fees](https://stripe.com/pricing/local-payment-methods) in SEPA countries include up to 1000 virtual bank account numbers (VBANs). [Contact us](https://stripe.com/contact/sales) if you require more than 1000 unique VBANs.

```curl
curl https://api.stripe.com/v1/customers/{{CUSTOMER_ID}}/funding_instructions \
  -u "<<YOUR_SECRET_KEY>>:" \
  -d funding_type=bank_transfer \
  -d "bank_transfer[type]=eu_bank_transfer" \
  -d "bank_transfer[eu_bank_transfer][country]=NL" \
  -d currency=eur
```

> Creating new localized virtual bank account numbers is currently unavailable for Spain (ES). Use any of the other EU VBAN countries instead.

#### JP

```curl
curl https://api.stripe.com/v1/customers/{{CUSTOMER_ID}}/funding_instructions \
  -u "<<YOUR_SECRET_KEY>>:" \
  -d funding_type=bank_transfer \
  -d "bank_transfer[type]=jp_bank_transfer" \
  -d currency=jpy
```

#### MX

```curl
curl https://api.stripe.com/v1/customers/{{CUSTOMER_ID}}/funding_instructions \
  -u "<<YOUR_SECRET_KEY>>:" \
  -d funding_type=bank_transfer \
  -d "bank_transfer[type]=mx_bank_transfer" \
  -d currency=mxn
```

> #### Accounts v2 considerations
> 
> The Accounts v2 API is generally available for Connect users, and in public preview for other Stripe users. If you’re part of the [Accounts v2 preview](https://docs.stripe.com/accounts-v2/use-accounts-as-customers.md), you need to [specify a preview version](https://docs.stripe.com/api-v2-overview.md#sdk-and-api-versioning) in your code.
> 
> To create or retrieve funding instructions for a customer-configured [Account](https://docs.stripe.com/api/v2/core/accounts/object.md#v2_account_object-configuration-customer), use the Customers API endpoint with the `Account` ID as the path parameter, for example `v1/customers/acct_xxxxx/funding_instructions`.

The response contains the following fields:

#### US

### Bank transfer hash 

| Field | Values | Description |
| --- | --- | --- |
| `type` | `us_bank_transfer` | The type of bank transfer to use. |
| `currency` | `usd` | The supported currency for the bank transfer. |
| `country` | `US` | The two-letter country code of the bank account to transfer to. |
| `financial_addresses` | - `aba` hash
- `swift` hash | The list of financial addresses. Funds sent to any address are routed to the customer balance. |

### ABA hash 

| Field | Values | Description |
| --- | --- | --- |
| `type` | `aba` | The type of financial address. |
| `supported_networks` | - `ach`
- `domestic_wire_us` | The list of networks supported by this address. |
| `aba.account_number` | 111222333444 | The ABA account number. |
| `aba.account_type` | `checking`, `savings` | The type of the bank account. |
| `aba.routing_number` | 444555666 | The ABA routing number. |
| `aba.bank_name` | Wells Fargo Bank, NA | The name of the bank. |
| `aba.bank_address` | - `city`
- `country`
- `line1`
- `line2`
- `postal_code`
- `state` | The address of the bank. |
| `aba.account_holder_name` | Powdur | The name of the person or business that owns the bank account. |
| `aba.account_holder_address` | - `city`
- `country`
- `line1`
- `line2`
- `postal_code`
- `state` | The address of the person or business that owns the bank account. |

### SWIFT hash 

| Field | Values | Description |
| --- | --- | --- |
| `type` | `swift` | The type of financial address. |
| `supported_networks` | `swift` | The list of networks supported by this address. |
| `swift.account_number` | 111222333444 | The SWIFT account number. |
| `swift.account_type` | `checking`, `savings` | The type of the bank account. |
| `swift.swift_code` | AAAA-BB-CC-123 | The SWIFT code. |
| `swift.bank_name` | Wells Fargo Bank, NA | The name of the bank. |
| `swift.bank_address` | - `city`
- `country`
- `line1`
- `line2`
- `postal_code`
- `state` | The address of the bank. |
| `swift.account_holder_name` | Powdur | The name of the person or business that owns the bank account. |
| `swift.account_holder_address` | - `city`
- `country`
- `line1`
- `line2`
- `postal_code`
- `state` | The address of the person or business that owns the bank account. |

#### UK

### Bank transfer hash 

| Field | Values | Description |
| --- | --- | --- |
| `type` | `gb_bank_transfer` | The type of bank transfer to use. |
| `currency` | `gbp` | The supported currency for the bank transfer. |
| `country` | `GB` | The two-letter country code of the bank account to transfer to. |
| `financial_addresses` | `sort_code` hash | The list of financial addresses. Funds sent to any address are routed to the customer balance. |

### Sort code hash

| Field | Values | Description |
| --- | --- | --- |
| `type` | `sort_code` | The type of financial address. |
| `supported_networks` | - `bacs`
- `chaps`
- `fps` | The list of networks supported by this address. |
| `sort_code.account_number` | 98765432 | The 8 digit account number. |
| `sort_code.sort_code` | 200000 | The 6 digit sort code. |
| `sort_code.bank_name` | Barclays Bank PLC | The name of the bank. |
| `sort_code.bank_address` | - `city`
- `country`
- `line1`
- `line2`
- `postal_code`
- `state` | The address of the bank. |
| `sort_code.account_holder_name` | Powdur. | The name of the person or business that owns the bank account. |
| `sort_code.account_holder_address` | - `city`
- `country`
- `line1`
- `line2`
- `postal_code`
- `state` | The address of the person or business that owns the bank account. |

#### EU

### Bank transfer hash 

| Field | Values | Description |
| --- | --- | --- |
| `type` | `eu_bank_transfer` | The type of bank transfer to use. |
| `currency` | `eur` | The supported currency for the bank transfer. |
| `country` | `NL` | The two-letter country code of the bank account to transfer to. |
| `financial_addresses` | `iban` hash | The list of financial addresses. Funds sent to any address are routed to the customer balance. |

### IBAN hash

| Field | Values | Description |
| --- | --- | --- |
| `type` | `iban` | The type of financial address. |
| `supported_networks` | `sepa` | The list of networks supported by this address. |
| `iban.iban` | NL123456789 | The IBAN the customer needs to pay to. The IBAN’s country is selected based on the `country` parameter passed in the request. |
| `iban.bic` | 1234 | The BIC for this IBAN. |
| `iban.country` | `NL` | The two-letter country code of the bank account to transfer to. |
| `iban.bank_name` | Citibank Europe | The name of the bank. |
| `iban.bank_address` | - `city`
- `country`
- `line1`
- `line2`
- `postal_code`
- `state` | The address of the bank. |
| `iban.account_holder_name` | Powdur. | The name of the person or business that owns the bank account. |
| `iban.account_holder_address` | - `city`
- `country`
- `line1`
- `line2`
- `postal_code`
- `state` | The address of the person or business that owns the bank account. |

#### JP

### Bank transfer hash 

| Field | Values | Description |
| --- | --- | --- |
| `type` | `jp_bank_transfer` | The type of bank transfer to use. |
| `currency` | `jpy` | The supported currency for the bank transfer. |
| `country` | `JP` | The two-letter country code of the bank account to transfer to. |
| `financial_addresses` | `zengin` hash | The list of financial addresses. Funds sent to any address are routed to the customer balance. In Japan, the `zengin` hash is the only financial address in the list. |

### Zengin hash

| Field | Values | Description |
| --- | --- | --- |
| `type` | `zengin` | The type of financial address. |
| `supported_networks` | `zengin` | The list of networks supported by this address. |
| `zengin.bank_code` | 0009 | The 4 digit bank code. |
| `zengin.bank_name` | 三井住友銀行 | The bank name. |
| `zengin.bank_address` | - `city`
- `country`
- `line1`
- `line2`
- `postal_code`
- `state` | The address of the bank. |
| `zengin.branch_code` | 950 | The 3 digit branch code. |
| `zengin.branch_name` | 東京第二 | The branch name. |
| `zengin.account_type` | `futsu`, `toza` | The account type. |
| `zengin.account_holder_name` | ストライプジャパン（カ　シュウノウダイコウ | The account holder name. |
| `zengin.account_holder_address` | - `city`
- `country`
- `line1`
- `line2`
- `postal_code`
- `state` | The address of the person or business that owns the bank account. |
| `zengin.account_number` | 1234567 | The 7 digit account number. |

#### MX

### Bank transfer hash 

| Field | Values | Description |
| --- | --- | --- |
| `type` | `mx_bank_transfer` | The type of bank transfer to use. |
| `currency` | `mxn` | The supported currency for the bank transfer. |
| `country` | `MX` | The two-letter country code of the bank account to transfer to. |
| `financial_addresses` | `spei` hash | The list of financial addresses. Funds sent to any address are routed to the customer balance. In Mexico, the `spei` hash is the only financial address in the list. |

### SPEI hash

| Field | Values | Description |
| --- | --- | --- |
| `type` | `spei` | The type of financial address. |
| `supported_networks` | `spei` | The list of networks supported by this address. |
| `spei.clabe` | 002180650612345670 | The 18 digit CLABE number. |
| `spei.bank_code` | 002 | The three-digit bank code. |
| `spei.bank_name` | BANAMEX | The short name of the banking institution |
| `spei.bank_address` | - `city`
- `country`
- `line1`
- `line2`
- `postal_code`
- `state` | The address of the bank. |
| `spei.account_holder_name` | Powdur | The name of the person or business that owns the bank account. |
| `spei.account_holder_address` | - `city`
- `country`
- `line1`
- `line2`
- `postal_code`
- `state` | The address of the person or business that owns the bank account. |

## Download confirmation of account ownership 

To provide your customer with proof of account ownership, [download a bank account ownership letter](https://docs.stripe.com/payments/customer-balance/funding-instructions/account-ownership-letter.md).
